Skip to content
This repository
Fetching contributors…

Cannot retrieve contributors at this time

file 16 lines (15 sloc) 0.534 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
# Ensure we use 'syck' instead of 'psych' in 1.9.2
# RubyGems >= 1.5.0 uses 'psych' on 1.9.2, but
# Psych does not yet support YAML 1.1 merge keys.
# Merge keys is often used in mongoid.yml
# See: http://redmine.ruby-lang.org/issues/show/4300
if RUBY_VERSION >= '1.9.2'
  YAML::ENGINE.yamler = 'syck'
end

Mongoid.configure do |config|
  if Mongoid::VERSION =~ /^3/
    config.sessions = {default: {hosts: ['localhost:27017'], database: 'kaminari_test'}}
  else
    config.master = Mongo::Connection.new.db('kaminari_test')
  end
end
Something went wrong with that request. Please try again.